package com.cooleshow.usercenter.helper;

import android.text.TextUtils;

import com.cooleshow.base.utils.SPUtils;

/**
 * Author by pq, Date on 2022/4/22.
 */
public class UserHelper {
    public static final String USER_TOKEN_KEY = "user_token";

    public static boolean isLogin() {
        return !TextUtils.isEmpty(getUserToken());
    }


    public static String buildToken(String tokenType, String token) {
        return tokenType + " " + token;
    }

    public static void saveUserToken(String token) {
        SPUtils.getInstance().put(USER_TOKEN_KEY, token);
    }

    public static String getUserToken() {
        return SPUtils.getInstance().getString(USER_TOKEN_KEY);
    }

}
