package com.cooleshow.usercenter.ui.activity;

import android.os.Bundle;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.cooleshow.base.ui.activity.BaseMVPActivity;
import com.cooleshow.base.utils.helper.QMUIStatusBarHelper;
import com.cooleshow.provider.router.RouterPath;
import com.cooleshow.usercenter.bean.UserInfo;
import com.cooleshow.usercenter.databinding.ActivityVerifyCodeLoginBinding;
import com.cooleshow.usercenter.presenter.VerifyLoginPresenter;
import com.cooleshow.usercenter.presenter.contract.VerifyLoginContract;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

/**
 * Author by pq, Date on 2022/4/19.
 */
@Route(path = RouterPath.UserCenter.PATH_VERIFY_LOGIN)
public class VerifyCodeLoginActivity extends BaseMVPActivity<ActivityVerifyCodeLoginBinding, VerifyLoginPresenter> implements VerifyLoginContract.VerifyLoginView {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        QMUIStatusBarHelper.setStatusBarLightMode(this);
    }

    @NonNull
    @Override
    protected ActivityVerifyCodeLoginBinding getLayoutView() {
        return ActivityVerifyCodeLoginBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void initView() {

    }

    @Override
    protected VerifyLoginPresenter createPresenter() {
        return new VerifyLoginPresenter();
    }

    @Override
    public void onLoginResult(UserInfo userInfo) {

    }
}
